/******************************************************************
Copyright (c) 1996 Novell, Inc. All Rights Reserved.

THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND
TREATIES. USE AND REDISTRIBUTION OF THIS WORK IS SUBJECT TO THE
LICENSE AGREEMENT ACCOMPANYING THE SOFTWARE DEVELOPMENT KIT (SDK)
THAT CONTAINS THIS WORK. PURSUANT TO THE SDK LICENSE AGREEMENT,
NOVELL HEREBY GRANTS TO DEVELOPER A ROYALTY-FREE, NON-EXCLUSIVE
LICENSE TO INCLUDE NOVELL'S SAMPLE CODE IN ITS PRODUCT. NOVELL
GRANTS DEVELOPER WORLDWIDE DISTRIBUTION RIGHTS TO MARKET,
DISTRIBUTE, OR SELL NOVELL'S SAMPLE CODE AS A COMPONENT OF
DEVELOPER'S PRODUCTS. NOVELL SHALL HAVE NO OBLIGATIONS TO
DEVELOPER OR DEVELOPER'S CUSTOMERS WITH RESPECT TO THIS CODE.
******************************************************************/

package com.novell.nds.dirxml.driver.jdbc.db.lock;


import java.util.Collections;
import java.util.LinkedList;
import java.util.List;


/**
 * An immutable database resource lock.  It cannot be altered.
 */
public final
class DBImmutableLock
    extends DBLock
{

    /**
     * Instantiates an immutable database lock with zero statements.
     */
    public DBImmutableLock()
    {
        _stmts = Collections.unmodifiableList(new LinkedList());
    }


    /**
     * Instantiates an immutable database lock with zero statements.
     *
     * @param list may be <code>null</code>
     */
    public DBImmutableLock(List list)
    {
        if(list == null)
        {
            _stmts = Collections.unmodifiableList(new LinkedList());
        }
        else
        {
            _stmts = list;
        }
    }


    /**
     * Does nothing.
     */
    public
    void
    addLockStatement(DBLockStatement stmt)
    {}

}//class DBLock
