/******************************************************************
Copyright (c) 1996 Novell, Inc. All Rights Reserved.

THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND
TREATIES. USE AND REDISTRIBUTION OF THIS WORK IS SUBJECT TO THE
LICENSE AGREEMENT ACCOMPANYING THE SOFTWARE DEVELOPMENT KIT (SDK)
THAT CONTAINS THIS WORK. PURSUANT TO THE SDK LICENSE AGREEMENT,
NOVELL HEREBY GRANTS TO DEVELOPER A ROYALTY-FREE, NON-EXCLUSIVE
LICENSE TO INCLUDE NOVELL'S SAMPLE CODE IN ITS PRODUCT. NOVELL
GRANTS DEVELOPER WORLDWIDE DISTRIBUTION RIGHTS TO MARKET,
DISTRIBUTE, OR SELL NOVELL'S SAMPLE CODE AS A COMPONENT OF
DEVELOPER'S PRODUCTS. NOVELL SHALL HAVE NO OBLIGATIONS TO
DEVELOPER OR DEVELOPER'S CUSTOMERS WITH RESPECT TO THIS CODE.
******************************************************************/

package com.novell.nds.dirxml.driver.jdbc.db.lock;


import java.util.ArrayList;
import java.util.List;


/**
 * Default implementation of interface <code>DBLockStatementGenerator</code>.
 *
 * @see com.novell.nds.dirxml.driver.jdbc.db.lock.DBLockStatementGenerator
 */
public
class DBLockGenerator
    implements DBLockStatementGenerator
{

    protected String _tableName;
    protected String _tableType;
    protected String _whereClause;
    protected List _listedColumns;
    protected List _whereColumns;
    protected List _pkColumns;

    protected StringBuffer _buffer;


    public
    DBLockGenerator()
    {
        _listedColumns = new ArrayList();
        _whereColumns = new ArrayList();
        _pkColumns = new ArrayList();
        _buffer = new StringBuffer();
    }


    public
    void
    setTable
    (
        String tableName,
        String tableType
    )
    {
        _tableName = tableName;
        _tableType = tableType;
    };


    public
    void
    addWhereColumn(String columnName)
    {
        _whereColumns.add(columnName);
    }


    public
    void
    addPrimaryKeyColumn(String columnName)
    {
        _pkColumns.add(columnName);
    }


    public
    void
    addListedColumn(String columnName)
    {
        _listedColumns.add(columnName);
    }


    public
    void
    setWhereClause(String whereClause)
    {
        _whereClause = whereClause;
    }


    public
    DBLock
    generateSelectLock()
    {
        return EMPTY_LOCK;
    }


    public
    DBLock
    generateInsertLock()
    {
        return EMPTY_LOCK;
    }


    public
    DBLock
    generateUpdateLock()
    {
        return EMPTY_LOCK;
    }


    public
    DBLock
    generateDeleteLock()
    {
        return EMPTY_LOCK;
    }


    public
    void
    reset()
    {
        _tableName = null;
        _tableType = null;
        _whereClause = null;
        _listedColumns.clear();
        _whereColumns.clear();
        _pkColumns.clear();
    }


    protected
    boolean
    isTable()
    {
        return TYPE_TABLE.equals(_tableType);
    }


    protected
    boolean
    isView()
    {
        return TYPE_VIEW.equals(_tableType);
    }

}//class LockGenerator
